// $Id: CalendarHeader.cpp,v 1.3 2014/02/10 10:34:30 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CalendarHeader.h"
#include "CalendarHeader.moc"

#include <QLayout>

namespace Calendar
{

    CalendarHeader::CalendarHeader( QWidget* parent ):
        QWidget( parent ),
        Counter( "Calendar::CalendarHeader" )
    {

        QHBoxLayout* hLayout = new QHBoxLayout( this );
        hLayout->setSpacing( 5 );
        hLayout->setMargin( 0 );

        hLayout->addStretch(1);
        hLayout->addWidget( previousButton_ = new QToolButton( this ) );
        hLayout->addWidget( label_ = new Transparency::ShadowLabel( this ) );
        hLayout->addWidget( nextButton_ = new QToolButton( this ) );
        hLayout->addStretch(1);

        label_->setAlignment( Qt::AlignCenter );

        previousButton_->setAutoRaise( true );
        previousButton_->setArrowType( Qt::LeftArrow );

        nextButton_->setAutoRaise( true );
        nextButton_->setArrowType( Qt::RightArrow );

    }

}
