// $Id: CalendarPath.cpp,v 1.3 2014/02/10 10:07:45 hupereir Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

/*!
\file    CalendarPath.cpp
\brief   simple cell-path in calendar
\author  Hugo Pereira
\version $Revision: 1.3 $
\date    $Date: 2014/02/10 10:07:45 $
*/

#include "CalendarPath.h"

namespace Calendar
{

    //______________________________________________________________________
    Path::Path( const QPolygonF& polygon ):
        Counter( "Path" )
    {
        if( polygon.isEmpty() ) return;
        moveTo( polygon[0] );
        for( int i = 1; i < polygon.size(); i++ )
        { lineTo( polygon[i] ); }

        lineTo( polygon[0] );
    }

}
